Subject: Re: [PATCH] net/9p: autoload transport modules

From: Dominique Martinet <[email-masked]>
Date: Tue, 2 Nov 2021 20:51:21 +0900

Thomas Weißschuh wrote on Tue, Nov 02, 2021 at 11:59:32AM +0100:
> On 2021-11-02 19:51+0900, Dominique Martinet wrote:
> > Sorry for the late reply
> > 
> > Thomas Weißschuh wrote on Sun, Oct 17, 2021 at 03:46:11PM +0200:
> > > Automatically load transport modules based on the trans= parameter
> > > passed to mount.
> > > The removes the requirement for the user to know which module to use.
> > 
> > This looks good to me, I'll test this briefly on differnet config (=y,
> > =m) and submit to Linus this week for the next cycle.
> 
> Thanks. Could you also fix up the typo in the commit message when applying?
> ("The removes" -> "This removes")

Sure, done -- I hadn't even noticed it..

> > Makes me wonder why trans_fd is included in 9pnet and not in a 9pnet-fd
> > or 9pnet-tcp module but that'll be for another time...
> 
> To prepare for the moment when those transport modules are split into their own
> module(s), we could already add MODULE_ALIAS_9P() calls to net/9p/trans_fd.c.

I guess it wouldn't hurt to have 9p-tcp 9p-unix and 9p-fd aliases to the
9pnet module, but iirc these transports were more closely tied to the
rest of 9pnet than the rest so it might take a while to do and I don't
have much time for this right now...
I'd rather not prepare for something I'll likely never get onto, so
let's do this if there is progress.

Of course if you'd like to have a look that'd be more than welcome :-)

-- 
Dominique